const WpaCtrl = require('wpa-ctrl')
const sleep = require('sleep-promise')

const WIFI_TEST_TIMEOUT = 20000   

async function start1Xtest(wpa, ssid, eap, identity, password) {
  await wpa.connect()
  // add first network , index 0
  await wpa.addNetwork()
  // test forever
  while (1) {
    await wpa.setNetworkSSID(0, ssid)
    await wpa.setNetworkVariable(0, 'key_mgmt', 'WPA-EAP')          
    await wpa.setNetworkVariable(0, 'eap', eap)
    await wpa.setNetworkVariable(0, 'proto', 'WPA RSN')
    await wpa.setNetworkVariable(0, 'pairwise', 'CCMP')
    await wpa.setNetworkVariable(0, 'group', 'CCMP')
 
    await wpa.setNetworkIdentity(0, identity)
    await wpa.setNetworkVariable(0, 'password', `"${password}"`)
    await wpa.enableNetwork(0)
    await wpa.reassociate()
    await sleep(WIFI_TEST_TIMEOUT)
  }
  
}


let wpa = new WpaCtrl('wlan0')

let ssid = 'SomeSSID'
let eap = 'PEAP'
let identity = 'someid'
let password = 'somepass'

start1Xtest(wpa, ssid, eap, identity, password)

